import { action, makeObservable, observable } from "mobx";
import * as reactPluginHiprint from "@/utils/hiprint";

export class HiprintStore {
  constructor() {
    makeObservable(this);
  }

  @observable hiprint: any = reactPluginHiprint.hiprint;
  @observable hiprintTemplate: any = null;
  @action setHiprintTemplate = (hiprintTemplate: any) => (this.hiprintTemplate = hiprintTemplate);
}

export const hiprintStore = new HiprintStore();
